<?php
/**
 * @file
 * materio_personal_notes.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function materio_personal_notes_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'create note content'.
  $permissions['create note content'] = array(
    'name' => 'create note content',
    'roles' => array(
      'Adhérent' => 'Adhérent',
    ),
    'module' => 'node',
  );

  // Exported permission: 'create own personal notes'.
  $permissions['create own personal notes'] = array(
    'name' => 'create own personal notes',
    'roles' => array(
      'Adhérent' => 'Adhérent',
      'root' => 'root',
    ),
    'module' => 'materio_personalnotes',
  );

  // Exported permission: 'delete any note content'.
  $permissions['delete any note content'] = array(
    'name' => 'delete any note content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'delete own note content'.
  $permissions['delete own note content'] = array(
    'name' => 'delete own note content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit any note content'.
  $permissions['edit any note content'] = array(
    'name' => 'edit any note content',
    'roles' => array(),
    'module' => 'node',
  );

  // Exported permission: 'edit own note content'.
  $permissions['edit own note content'] = array(
    'name' => 'edit own note content',
    'roles' => array(
      'Adhérent' => 'Adhérent',
    ),
    'module' => 'node',
  );

  // Exported permission: 'enter note revision log entry'.
  $permissions['enter note revision log entry'] = array(
    'name' => 'enter note revision log entry',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note authored by option'.
  $permissions['override note authored by option'] = array(
    'name' => 'override note authored by option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note authored on option'.
  $permissions['override note authored on option'] = array(
    'name' => 'override note authored on option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note promote to front page option'.
  $permissions['override note promote to front page option'] = array(
    'name' => 'override note promote to front page option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note published option'.
  $permissions['override note published option'] = array(
    'name' => 'override note published option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note revision option'.
  $permissions['override note revision option'] = array(
    'name' => 'override note revision option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'override note sticky option'.
  $permissions['override note sticky option'] = array(
    'name' => 'override note sticky option',
    'roles' => array(),
    'module' => 'override_node_options',
  );

  // Exported permission: 'show note title'.
  $permissions['show note title'] = array(
    'name' => 'show note title',
    'roles' => array(),
    'module' => 'materio_page_title',
  );

  return $permissions;
}
